TransfService (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class TransfService

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.TransfService

All Implemented Interfaces:
  Cloneable, Visitable

    public class TransfService

extends Object
implements Cloneable, Visitable

Represents a tranformation service to transform the values of attributes.

In the specification a `transf` is a local transformaion function/service. The `pov` specifies the parameters needed for the function to compute the transformaion.

In the specification a `service` is a remote transformaion function/service. The `id` distiguishes between multiple transformation function at the given address. The `pov` specifies the parameters needed for the function to compute the transformaion.

$Id: TransfService.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.2 $
Author:
  richi

Field Summary
`private URI` | `id` id of the transformation function (only used if it is a service)
`private Set<Id>` | `params` paramteters for the transformation
`private URI` | `res` resource (uri) to the service

Constructor Summary
`TransfService(URI res, Collection<Id> params)` Constructs a transf.
`TransfService(URI res, URI id, Collection<Id> params)` Constructs a service.

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`Object` | `clone()`
`boolean` | `equals(Object o)`
`URI` | `getId()` Returns the id of the transformation function.
`Set<Id>` | `getParameters()` Returns an unmodifiable set of parameters needed for the transformation.
`URI` | `getRes()` Returns the resource / uri to the transformation.
`int` | `hashCode()`
`boolean` | `hasId()` Returns whether there is a id.
`String` | `toString()` Returns a short string description of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### res

    private URI res

  resource (uri) to the service

### id

    private URI id

  id of the transformation function (only used if it is a service)

### params

    private Set<Id> params

  paramteters for the transformation

Constructor Detail

### TransfService

    public TransfService(URI res,
                         Collection<Id> params)

  Constructs a transf.

  Parameters:
    `res` - uri to the service
    `params` - parameters for the transformation
  Throws:
    `NullPointerException` - if the res is `null`

### TransfService

    public TransfService(URI res,
                         URI id,
                         Collection<Id> params)

  Constructs a service.

  Parameters:
    `res` - uri to the service
    `id` - id of the transformation function
    `params` - parameters for the transformation
  Throws:
    `NullPointerException` - if the res is `null`

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Throws:
    `AlignmentException`

### getRes

    public URI getRes()

  Returns the resource / uri to the transformation.

  Returns:
    the uri to the transformator

### getId

    public URI getId()

  Returns the id of the transformation function. This function only returns a usable value (another value than `null`) if it is a service.

  Returns:
    the id of the function
  See Also:
    `hasId()`

### getParameters

    public Set<Id> getParameters()

  Returns an unmodifiable set of parameters needed for the transformation.

  Returns:
    the set of parameters

### hasId

    public boolean hasId()

  Returns whether there is a id.

  Returns:
    `true` if there is a usable id, otherwise `false`
  See Also:
    `getId()`

### toString

    public String toString()

  Returns a short string description of this object. The format of the returned string is undocumented and subject to change.

  An example string could be: `transf: http://my/super/transf params: [dollar]`

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010